Bug Hunting Session
Bug 54361 - FILEOPEN: Chart background in XLSX is transparent instead of white
Summary: FILEOPEN: Chart background in XLSX is transparent instead of white
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other Windows (All)
: medium major
Assignee: Heena Gupta
URL:
Whiteboard: target:4.4.0 target:4.3.1 target:4.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-01 20:56 UTC by Lekow
Modified: 2014-11-09 14:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample XLSX file and screenshots from LO 3.6.1 and Excel 2007 (27.64 KB, application/zip)
2012-09-01 20:56 UTC, Lekow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lekow 2012-09-01 20:56:36 UTC
Created attachment 66462 [details]
Sample XLSX file and screenshots from LO 3.6.1 and Excel 2007

The chart background is transparent in the xlsx file from Excel 2007 if the default color was not changed.

Steps to reproduce:
1. In Excel 2007 create bar-chart with any data. Do not apply any color fill for chart background. Optionally apply some styles for data series.
2. Save the file as xlsx.
3. Open the file in Calc. The chart background is transparent instead of white and the border is also missed.

The bug is observed in LO 3.6.0 and 3.6.1 releases. Maybe it was in 3.5 too. I have not possibility to test this.
Comment 1 V.K. 2012-09-02 15:54:35 UTC
Confirmed in LO 3.6.1.2
OS – Windows 7, 32 bit.
Comment 2 Xisco Faulí 2014-02-14 12:23:13 UTC
it's still present in:
   - Libreoffice 4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
   - Libreoffice 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
   - Libreoffice 4.3.0.0.alpha0+ Build ID: e076b5290e706b8a69abd397a9f255eba6a0cd1a
Comment 3 Commit Notification 2014-06-17 13:28:28 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53b9adc135f4abb086c740582e5f85cea710287d

fdo#54361 - FILEOPEN: Chart background in XLSX is transparent instead of white



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 ign_christian 2014-06-18 06:15:43 UTC
Hi Heena Gupta..many thanks for the fix. 

I think it's a quite important feature, perhaps it's possible to backport the fix in 4.2 and 4.3 ?
Comment 5 Heena Gupta 2014-06-18 06:44:11 UTC
sure, will check
Comment 6 ign_christian 2014-06-18 07:00:20 UTC
Thanks again for the inspiring great news.. :D
Comment 7 Commit Notification 2014-07-03 14:19:36 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=994fc8faa1cd232456910e2de1ff4add1eee024a

fdo#54361:Add test case for the chart background



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-07-23 09:13:33 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef5814e564cc92ae005887ecedeea25243a29491&h=libreoffice-4-3

fdo#54361: Chart background in XLSX is transparent instead of white


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Luke 2014-08-02 16:16:59 UTC
This bug has not been fully resolved yet. In attachment 102935 [details] from Bug 81437 the background is still transparent. It's just a simple test case that I created in literally a few seconds with Excel 2013 to illustrate the issue with chart borders.
Comment 10 Luke 2014-09-28 02:21:17 UTC
Heena,
Should I file a new bug report or should this remain REOPENED?
Comment 11 Heena Gupta 2014-09-29 05:05:55 UTC
@Luke-Dont file a new bug. I am working on this.
Comment 13 Commit Notification 2014-11-09 07:18:47 UTC
Muthu Subramanian committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce807b9143baa7a686ab9b2a95899f2c1817a715&h=libreoffice-4-3

fdo#54361: Chart background in XLSX is transparent instead of white.

It will be available in 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.